Turbo Analyst Product Information
---------------------------------
TurboPower Software offers Turbo Analyst 6.0, a comprehensive
collection of analytical tools that help programmers write better and
faster Turbo Pascal 4.0, 5.0, 5.5, 6.0, or Windows programs. These
tools multiply your effectiveness by automating common programming
tasks and providing assistance as you write, debug, document and fine
tune your code.

The analytical tools of Turbo Analyst include:

1. Analyst Integrated Environment
   - Editor and virtual file browser in separate windows
   - Run the Analyst utilities, the compiler, and any Turbo
     Pascal standalone debugger using hot keys
   - Integrated mouse support
   - Complete macro system
   - Advanced memory management lets you compile bigger programs

2. Pascal Formatter
   - Regularized indentation and spacing
   - Capitalization control for keywords and identifiers

3. Program Lister
   - Paginated listings
   - Highlighted keywords or variables
   - Bracketing for visible program structure

4. Program Structure Analyzer
   - Cross reference report
   - Unused, exposed, uninitialized variable report
   - Program index report
   - Procedure bindings report
   - Call hierarchy report
   - Side effect report
   - Duplicate identifiers report
   - Program statistics report
   - Overlay optimization report
   - Optimal uses report
   - Circular unit references report
   - Object hierarchy
   - Method hierarchy
   - Method override report
   - Dangerous object field references
   - Integrated virtual memory manager uses EMS, XMS, or disk to
     analyze large programs

5. Execution Profilers
   - Source level reports
   - Instruction level reports
   - Procedure timing reports
   - Interactive mode with symbolic feedback

6. Binary File Utilities
   - Pack and modify Turbo Pascal EXE files
   - Investigate and disassemble TPU files

All Turbo Analyst utilities are DOS applications. The Pascal
Formatter, Program Lister, and Program Structure Analyzer can analyze
your programs written for Turbo Pascal for Windows as well as Turbo
Pascal for DOS.


Price and Shipping Info
-----------------------
Turbo Analyst 6.0 costs $129, including the Pascal source code for the
programs. Upgrades from TurboPower Utilities, Turbo Analyst 4.0, and Turbo
Analyst 5.0 are available.

A Fast Update Plan, which provides the subscriber with automatic updates to
all minor revisions of Turbo Analyst, is also available for $80 per year, or
for $100 per year outside of the U.S. and Canada.

For more information, or to order, call 1-800-333-4160 from 9 a.m. to 5 p.m.
Mountain time, or write to TurboPower Software, P.O. Box 49009, Colorado
Springs, CO 80949. International customers call 719-260-9136. Send faxes to
719-260-7151. Send CompuServe mail to 76004,2611. Visit our CompuServe area in
PCVENB section 6. We accept MasterCard, Visa, American Express, Discover, a
check in U.S. funds drawn on a U.S. bank, or COD (within U.S. only).

  Dual Media (both 5.25" and 3.5" disks are supplied)
  Version 6.0
  Weight 2.0 pounds
  Price $129 plus shipping
      FedEx Economy   $10     U.S. only                 (2 days)
      Airmail          $5     U.S. only                 (3-10 days)
      Airmail         $10     Canada only               (3-10 days)
      Airmail         $20     Elsewhere                 (7-21 days)
