B-Tree Filer Product Information
--------------------------------
B-Tree Filer is a library of powerful database routines for the Turbo
Pascal programmer. Network support is built into the library from the
ground up. As a result, applications using B-Tree Filer can run in
single-user mode, or on Novell, MS-Net, NetBIOS-compatible, and other
networks without changes to the program's source code.

B-Tree Filer can generate programs that run under MS-DOS or Windows
3.x using the DOS and Windows versions of Turbo Pascal.

B-Tree Filer offers powerful B+tree indexing techniques with dynamic
page caching for ultimate performance. Databases built with B-Tree
Filer can hold up to two billion records, with up to 100 separate
indexes stored in a single index file. The library supports both fixed
and variable length records up to 64K bytes in length, and also
includes a failsafe mode to guarantee high reliability of
transaction-oriented databases. Index page buffers can be allocated
from normal heap memory or from EMS. Databases can be opened in
read-only modes for network security control or for use with CD-ROMs.
The network version of B-Tree Filer offers flexible locking
capabilities.

A number of utility units are supplied with the library: a browse unit
for full-screen scanning of a database (versions are supplied for DOS,
DOS with Object Professional, DOS with Turbo Vision, and Windows with
Borland's ObjectWindows Library); a rebuild unit to purge deleted
records or regenerate a corrupted index file; a reorg unit to change
the size or format of each data record; a virtual sort unit to quickly
reorder any number of data records; and others. Also included in the
network version are three network-specific units for message passing,
printer control, and file management on Novell, NetBIOS, and SHARE
compatible networks.

Note that the network version of B-Tree Filer can generate single user
applications as well as network-compatible ones. Source code written
using the single-user version can include calls to network locking
functions, but these functions do nothing in the single-user version.
In this way, you can use the single-user version to write applications
that run on a network just by recompiling with the network version of
the library.

Also included are bonus units that support object-oriented coding of
databases under Turbo Pascal 5.5 or later.

Price and Shipping Info
-----------------------
B-Tree Filer includes complete source code, and no royalties are
required for applications using the library. Supports Borland Turbo
Pascal 5.0, 5.5, 6.0, and 7.0, as well as Turbo Pascal for Windows 1.0
or 1.5 and Borland Pascal 7.0. B-Tree Filer can generate DOS real mode
and DOS protected mode applications using Borland Pascal 7.0. Requires
256K memory. Hard disk recommended. Full 30 day guarantee. Specify
single user ($139) or network ($189) version. Includes both 5.25" and
3.5" disks.

Current owners of single user version 5.0 can upgrade to 5.4 for $60
plus shipping, including the new manual. Owners of the network version
can upgrade for $80 plus shipping. If you have the single user version
5.0, you can upgrade to the latest network version for $99 plus
shipping. The upgrade includes a new manual.

Current owners of single user version 5.2 can update to 5.4 for $49
plus shipping. Owners of network version 5.4 can also update to 5.4
for $49 plus shipping. This update includes disks only; specify
preferred disk size.

Owners of single user version 5.2 can upgrade to network version 5.4
for $69.

A Fast Update Plan, which provides the subscriber with automatic
updates to all minor revisions of B-Tree Filer, is also available for
$80 per year, or for $100 per year outside of the U.S. and Canada.

For more information, or to order, call 1-800-333-4160 from 9 a.m. to
5 p.m. Mountain time, or write to TurboPower Software, P.O. Box 49009,
Colorado Springs, CO 80949. International customers call 719-260-9136.
Send faxes to 719-260-7151. Send CompuServe mail to 76004,2611. Visit
our CompuServe area in PCVENB section 6. We accept MasterCard, Visa,
American Express, Discover, a check in U.S. funds drawn on a U.S.
bank, or COD (within U.S. only).

  Dual Media (both 5.25" and 3.5" disks are supplied)
  Version 5.4
  Weight 2.0 pounds
  Price $139 (single user) or $189 (network) plus shipping
      FedEx Economy   $10     U.S. only                 (2 days)
      Airmail          $5     U.S. only                 (3-10 days)
      Airmail         $10     Canada only               (3-10 days)
      Airmail         $20     Elsewhere                 (7-21 days)
