Data Entry Workshop Product Information
---------------------------------------
Data Entry Workshop allows you to interactively design validated data
entry screens, toolbars, and other custom controls using Borland's
Resource Workshop. Once you've created your resources, you can access
them using classes derived from those in Borland's ObjectWindows
Library, using either Turbo Pascal for Windows or Borland C++.

Data Entry Workshop offers the following features:

  - true field-by-field validation of user input
  - built-in support for all field types commonly used in Pascal and
    C++ programs, as well as date and time fields
  - hooks for working with user-defined data types
  - internationalization support for time, date, and currency fields
  - support for password fields, calculated fields, and required,
    protected, and hidden fields
  - flexible picture mask formatting which allows for user-defined
    mask characters
  - choice of three field editors, including a calculator-style editor
    for numeric input
  - spin control which allows users to increment or decrement field
    values using either mouse or cursor keys
  - two-color meter controls for use in installation programs
  - easy creation of sophisticated toolbox and toolbar controls
  - MAKESRC utility which generates Pascal/C++ source code based on
    the resources you design in Resource Workshop
  - CVTOPL utility which converts data entry screens designed with
    Object Professional's MAKESCRN utility into Windows dialog box
    scripts
  - BONUS units for scrolling data entry screens and dynamically
    created entry screens

Data Entry Workshop is provided in the form of DLLs, and includes
object-oriented interface modules for both Turbo Pascal and Borland
C++. Interface objects are based on Borland's ObjectWindows Library,
for easy integration into OWL-based applications.

Complete Source Code, Expert Support, and No Royalties
------------------------------------------------------
Data Entry Workshop includes comprehensive documentation with plenty
of working example programs. Context-sensitive help is available while
designing custom controls within Resource Workshop. You get telephone
and CompuServe support with accurate answers directly from the
authors. Full source code is included and you pay no royalties. (DLL
source code is written in Turbo Pascal and inline assembly language.
Interface modules are written in Pascal and C++.)

System and Software Requirements
--------------------------------
Software: Turbo Pascal for Windows 1.5, Borland Pascal 7.0, or Borland
C++/OWL, plus Borland's Resource Workshop (version 1.02 or later),
Borland's BWCC custom control library, and Microsoft Windows version
3.0 or later. Hardware: a PC capable of running in Standard or
Enhanced mode, with at least 3 megabytes of free disk space. Data
Entry Workshop is provided on both 5.25" (1.2MB) and 3.5" (720K)
disks.

Price and Shipping Info
-----------------------
Data Entry Workshop is available for immediate shipment.

Data Entry Workshop costs $189, including both 5.25" (1.2MB) and 3.5"
(720K) diskettes.

A Fast Update Plan, which provides the subscriber with automatic
updates to all minor revisions of Data Entry Workshop, is also available
for $80 per year, or for $100 per year outside of the U.S. and Canada.

For more information, or to order, call 1-800-333-4160 from 9am to 5pm
Mountain time, or write to TurboPower Software, P.O. Box 49009,
Colorado Springs, CO 80949. International customers call 719-260-9136.
Send faxes to 719-260-7151. Send CompuServe mail to 76004,2611. Visit
our CompuServe area in PCVENB section 6 (Pascal) or PCVENE section 1
(C/C++). We accept MasterCard, Visa, American Express, Discover, a
check in U.S. funds drawn on a U.S. bank, or COD (within U.S. only).

  Dual Media (both 5.25" and 3.5" disks are supplied)
  Version 1.0
  Weight 2.0 pounds
  Price $189 plus shipping
      FedEx Economy   $10     U.S. only                 (2 days)
      Airmail          $5     U.S. only                 (3-10 days)
      Airmail         $10     Canada only               (3-10 days)
      Airmail         $20     Elsewhere                 (7-21 days)
