Win/Sys Library Product Information
-----------------------------------
Win/Sys Library provides an advanced set of system-level tools to put
real horsepower behind Windows applications. Essential routines let
you focus on the unique features of *your* program. You get:

  - a comprehensive set of string manipulation functions
  - date/time manipulation with international support
  - fast 1D and 2D arrays up to 64 megabytes in size of any data type
  - fast sorting of up to 64 megabytes of data
  - general purpose data structures for bitsets, dictionaries, dynamic
    string tables, linked lists, stacks, trees, and queues
  - DPMI access for interrupt handling, communication with DOS TSRs,
    and advanced memory control
  - timing, delay, and sound functions
  - DOS functions for drive control and environment access
  - fast inline macros for common low-level data manipulation
  - runtime and exception error trapping and recovery
  - heap analysis tools to find memory leaks

Win/Sys Library functions are provided in DLLs with interface modules
for Turbo Pascal, Borland C++, and Microsoft C/C++. (A few of the
routines, including the inline macros and linked list objects, are
coded directly in the target language for direct linking into the
application.) Critical routines are coded in assembly language for
smallest size and best performance. Speed-sensitive routines take
advantage of the 386/486 CPU, when available. Memory-intensive
routines use the huge global heap for access to all extended and
virtual memory. Turbo Pascal programmers can optionally link units
directly into their executable files.

Complete Source Code, Expert Support, and No Royalties
------------------------------------------------------
Win/Sys Library includes comprehensive documentation with plenty of
working example programs. A Windows-compatible help file offers popup
help for all of the routines. You get expert telephone and CompuServe
support at no extra charge. Full source code is included and you pay
no royalties. (DLL source code is written in Turbo Pascal and inline
assembly language. Interface modules are written in Pascal and C/C++.)

System and Software Requirements
--------------------------------
Software: Turbo Pascal for Windows 1.0 or 1.5, Borland Pascal 7.0, or
a Borland/Microsoft C++ compiler capable of generating Windows
applications. Microsoft Windows version 3.0 or later. Hardware: a PC
compatible capable of running in Standard or Enhanced mode, with at
least 3 megabytes of free disk space. Win/Sys Library is provided on
both 5.25" (1.2MB) and 3.5" (720K) disks.

Price and Shipping Info
-----------------------
Win/Sys Library is available for immediate shipment.

Win/Sys Library costs $149, including both 5.25" (1.2MB) and 3.5"
(720K) diskettes.

Owners of earlier versions of Win/Sys Library can update to the
current version, 1.01, for $20. Add $5 for airmail shipping outside of
the United States or Canada. Specify your current serial number (found
on volume 1 of the manual).

A Fast Update Plan, which provides the subscriber with automatic
updates to all minor revisions of Win/Sys Library, is also available
for $80 per year, or for $100 per year outside of the U.S. and Canada.

For more information, or to order, call 1-800-333-4160 from 9am to 5pm
Mountain time, or write to TurboPower Software, P.O. Box 49009,
Colorado Springs, CO 80949. International customers call 719-260-9136.
Send faxes to 719-260-7151. Send CompuServe mail to 76004,2611. Visit
our CompuServe area in PCVENB section 6 (Pascal) or PCVENE section 1
(C/C++). We accept MasterCard, Visa, American Express, Discover, a
check in U.S. funds drawn on a U.S. bank, or COD (within U.S. only).

  Dual Media (both 5.25" and 3.5" disks are supplied)
  Version 1.0
  Weight 3.0 pounds
  Price $149 plus shipping
      FedEx Economy   $10     U.S. only                 (2 days)
      Airmail          $5     U.S. only                 (3-10 days)
      Airmail         $10     Canada only               (3-10 days)
      Airmail         $20     Elsewhere                 (7-21 days)
